<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<?php  
require 'dfg-conf.inc.php';
include 'dfg_version.php';

/* Gallery description in English: */
$THUMBS_TXT="photos.txt";

/* Galerie-Beschreibung auf Deutsch: */
$THUMBS_TXT_D="fotos.txt";

/* PHP save_mode? */
if (ini_get('safe_mode')) $safemode = true;
else $safemode = false;


$src = $_GET['src'];
if (!preg_match("/[\/]$/", $src)) $src = $src . "/";

if (!isset($_GET['seite'])) $seite=1;
else $seite = $_GET['seite'];

if (is_file($src . "fotos-conf.inc.php")) include $src . 'fotos-conf.inc.php';

?>

<head>
  <title>Photo Gallery <?php echo stripslashes($TITLE); ?></title>
  <meta http-equiv="Content-Type" content="text/html; charset=<?php echo $CHARSET ?>" />
  <meta name="description" content="Photo gallery created with dFG V<?php echo $DFG_VERSION ?> (http://dfg.fieroch.de)" />
  <meta name="robots" content="follow" />
  <?php print $HEAD; ?>
</head>

<body>

<p class="backlink">Back to the

<?php 

print "<a href=\"thumbnails.php?src=" . $src . "\">Gallery</a></p>";

/* hier werden die Thumbnails eingelesen */
$dir = $src . "thumbs";
if ($handle = opendir($dir)) {

  while (false !== ($file = readdir($handle))) { 
    if (is_file($dir."/".$file)) {
      $thumbs[] = $file;

    }
  }
  sort($thumbs);
  
  /* errechnet die bentigte Seitenanzahl */
  $size = count($thumbs);
	
  closedir($handle); 
}
?>


<div class="top_frame">

<a name="Top"></a>


<div style="text-align:left">
<h1 class="title"><?php echo $TITLE; ?> - All Image Descriptions</h1>
<h2 class="subtitle"><?php echo stripslashes($SUBTITLE); ?></h2>
</div> 

<?php 
/* Beschreibung der Thumbnails / THUMBS_TXT */
$text = $src . $THUMBS_TXT;
if (file_exists($text)) {
  print "<div class=\"thumbtext\">";
  @readfile($text);
  print "</div>";
}


/* the main event */

print "<table class=\"descr\">\n<colgroup><col width=\"" . ($THUMB_SIZE + 6) . "\" /><col width=\"*\" /></colgroup>";


for ($i = 0; $i < $size; $i++) {

print "\n<tr><td>";

/* get_img_title */
  $img_name = $thumbs[$i];
  $img_title = "";
  $img_text = "";
  $text_file= $src . "text/" . $img_name . ".txt";
  if (file_exists($text_file)) {
    /* overrides $img_title, if successful */
    include $text_file;
  }
  if ($img_title == "") $img_title = $img_name;
/* end get_img_title */

    $pic_link = "<a href=\"image.php?src=" . urlencode($src) . "&amp;img=" . $img_name . "\">";
    print $pic_link . "<img src=\"" . $dir . "/" . $img_name . "\" alt=\"" . $img_name . "\" /></a>";
    print "</td>\n<td class=\"descr\">";
    print "<h2>" . $pic_link . $img_title . "</a></h2>";
    print stripslashes($img_text);
    print "</td></tr>";
}

print "</table>";

?>

<p class="clear">
<a href="#Top" class="trenner"><img src="pic/xgoup.png" width="26" height="26" alt="up" title="Top of this page" /></a>
</p>

<!-- DO NOT REMOVE THE COPYRIGHT OR YOU OFFEND AGAINST THE LICENSE AGREEMENT!!!
NICHT DAS COPYRIGHT ENTFERNEN ODER DU VERSTSST GEGEN DAS LIZENZ-ABKOMMEN!!! //-->
	<div class="copyright">Gallery created with <a href="http://www.vlado-do.de/download/downloadE.html#dfg" title="dFG download">dFG V<?php echo $DFG_VERSION; ?></a><br />&copy; by <a href="http://www.fieroch.de/" title="Alex Homepage">Alexander Fieroch</a><br /></div>

</div>
</body>
</html>
