#!/bin/sh
# call: jpeg_halbieren.sh [filename]
# creates a jpeg file with half the resolution of the input file
# leaves a backup file [filename].bak of the original
# copies exiv data

exiv2 ex $1

mv -v $1 $1.bak && djpeg -dct float -scale 1/2 $1.bak | cjpeg -dct float -quality 80 -optimize -progressive -verbose > $1

exiv2 in $1
